using UnityEngine;

public abstract class Interactable : MonoBehaviour
{
    public abstract void Interact();

    // for entering/exiting trigger regions
    public abstract void MoveInsideRange();

    public abstract void MoveOutsideRange();
}
